summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorKaleb S. KEITHLEY <kkeithle@redhat.com>2017-02-20 10:41:51 -0500
committerKaleb KEITHLEY <kkeithle@redhat.com>2017-02-26 14:14:44 -0500
commit333dd916ebe645230c302fd9a1c2645c519b1d6d (patch)
tree23b438b21f91b149130c9af0eb36ae30ae597263
parent5ab59ea0afab5309f6bf0371675fb4ecd66ae290 (diff)
common-ha: unable to start HA, Connection Error
See BZ 1284404. pcsd behavior has changed and pcsd will not accept connections until SSL certificates have fully propagated throughout all the nodes HA devels suggest a 12 second delay between the `pcs cluster setup ...` and the `pcs cluster start --all` Change-Id: If94b6991a62f346dbead023c7e7f8282a995728c BUG: 1425110 Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com> Reviewed-on: https://review.gluster.org/16690 Smoke: Gluster Build System <jenkins@build.gluster.org> NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org> CentOS-regression: Gluster Build System <jenkins@build.gluster.org> Reviewed-by: soumya k <skoduri@redhat.com>
-rw-r--r--extras/ganesha/scripts/ganesha-ha.sh13
1 files changed, 8 insertions, 5 deletions
diff --git a/extras/ganesha/scripts/ganesha-ha.sh b/extras/ganesha/scripts/ganesha-ha.sh
index 6d691bbaf18..5b26702a07b 100644
--- a/extras/ganesha/scripts/ganesha-ha.sh
+++ b/extras/ganesha/scripts/ganesha-ha.sh
@@ -192,13 +192,16 @@ setup_cluster()
logger "pcs cluster setup ${RHEL6_PCS_CNAME_OPTION} ${name} ${servers} failed"
exit 1;
fi
+
+ # BZ 1284404, 1425110, allow time for SSL certs to propagate, until then
+ # pcsd will not accept connections.
+ sleep 12
pcs cluster start --all
- if [ $? -ne 0 ]; then
- logger "pcs cluster start failed"
- exit 1;
- fi
+ while [ $? -ne 0 ]; do
+ sleep 2
+ pcs cluster start --all
+ done
- sleep 1
# wait for the cluster to elect a DC before querying or writing
# to the CIB. BZ 1334092
crmadmin --dc_lookup --timeout=5000 > /dev/null 2>&1